local metadata = {
"## Interface:FS17",
"## Title: W50PlaneLeft for IFA W50L ©2017",
"## Notes: IFA W50L ©2017",
"## Author: Hewaaa",
"## Version: 1.0.0.0",
"## Date: 19.04.2017",
"## Web: http://www.modrando.com"
}

LeftOpener = {};

LeftOpener.modDir = g_currentModDirectory;

function LeftOpener.prerequisitesPresent(specializations)
    return true; 
end;

function LeftOpener:load(savegame)

    self.playerCallbackLeft = SpecializationUtil.callSpecializationsFunction("playerCallbackLeft"); 
    
    self.leftO = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.leftOpener#trigger")) );
    if trigger == nil then
        print("[Error::LeftOpener] node is OK, but trigger could not be located. Check line "..tostring(i+1).." in your vehicle.xml");
    end;
    
    local icIndex = getXMLInt(self.xmlFile, string.format("vehicle.leftOpener#icIndex", i));
    
    self.leftO.icIndex = icIndex;
    self.leftO.trigger = trigger;
    self.leftO.plIR = false;
        
    addTrigger( trigger, "playerCallbackLeft", self );                

end;

function LeftOpener:delete()
    if self.leftO.trigger ~= nil then
        removeTrigger(self.leftO.trigger);
    end;
end;

function LeftOpener:readStream(streamId, connection)
end;

function LeftOpener:writeStream(streamId, connection)
end;

function LeftOpener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function LeftOpener:keyEvent(unicode, sym, modifier, isDown)
end;

function LeftOpener:update(dt)
    
    if self.leftO.plIR then
        g_currentMission:addHelpButtonText( g_i18n:getText("SET_LEFTOPENER"), InputBinding.SET_LEFTOPENER );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_LEFT);                 
        renderText( 0.5, 0.06, 0.02, g_i18n:getText("SET_LEFTOPENER") );
        if InputBinding.hasEvent(InputBinding.SET_LEFTOPENER)then
            local obj = self.interactiveObjects[self.leftO.icIndex];
            if obj ~= nil then
                self:doActionOnObject(self.leftO.icIndex);
            end;
        end
    end;
end;

function LeftOpener:onLeave()
end;

function LeftOpener:draw()
end;

function LeftOpener:playerCallbackLeft(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.leftO.plIR = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.leftO.plIR = false;
    end;
    
end;


