local metadata = {
"## Interface:FS17",
"## Title: W50PlaneRight for IFA W50L ©2017",
"## Notes: IFA W50L ©2017",
"## Author: Hewaaa",
"## Version: 1.0.0.0",
"## Date: 19.04.2017",
"## Web: http://www.modrando.com"
}

RightOpener = {};

RightOpener.modDir = g_currentModDirectory;

function RightOpener.prerequisitesPresent(specializations)
    return true; 
end;

function RightOpener:load(savegame)

    self.playerCallbackRight = SpecializationUtil.callSpecializationsFunction("playerCallbackRight"); 
    
    self.rightO = {};
    
    local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.rightOpener#trigger")) );
    if trigger == nil then
        print("[Error::RightOpener] node is OK, but trigger could not be located. Check line "..tostring(i+1).." in your vehicle.xml");
    end;
    
    local icIndex = getXMLInt(self.xmlFile, string.format("vehicle.rightOpener#icIndex", i));
    
    self.rightO.icIndex = icIndex;
    self.rightO.trigger = trigger;
    self.rightO.plIR = false;
        
    addTrigger( trigger, "playerCallbackRight", self );                

end;

function RightOpener:delete()
    if self.rightO.trigger ~= nil then
        removeTrigger(self.rightO.trigger);
    end;
end;

function RightOpener:readStream(streamId, connection)
end;

function RightOpener:writeStream(streamId, connection)
end;

function RightOpener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RightOpener:keyEvent(unicode, sym, modifier, isDown)
end;

function RightOpener:update(dt)
    
    if self.rightO.plIR then
        g_currentMission:addHelpButtonText( g_i18n:getText("SET_RIGHTOPENER"), InputBinding.SET_RIGHTOPENER );    
        setTextColor(1.0, 1.0, 1.0, 1.0);
        setTextAlignment(RenderText.ALIGN_LEFT);                 
        renderText( 0.5, 0.06, 0.02, g_i18n:getText("SET_RIGHTOPENER") );
        if InputBinding.hasEvent(InputBinding.SET_LEFTOPENER)then
            local obj = self.interactiveObjects[self.rightO.icIndex];
            if obj ~= nil then
                self:doActionOnObject(self.rightO.icIndex);
            end;
        end
    end;
end;

function RightOpener:onLeave()
end;

function RightOpener:draw()
end;

function RightOpener:playerCallbackRight(triggerId, otherId, onEnter, onLeave, onStay)
    
    if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.rightO.plIR = true;
    elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
        self.rightO.plIR = false;
    end;
    
end;


